We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback

Trusted by the world’s leading companies

syncfusion trusted companies

Overview

The Angular Ribbon component provides a structured and easy-to-use user interface for users to access different features and functions using a series of tabs, improving user experience and efficiency.

Angular Ribbon component


Tabs and groups

Provides a structured way to organize and group related functions, improving user experience by enabling quick access to specific features within categorized sections. Each group contains a launcher button that reveals additional functions, allowing users to explore and utilize more tools efficiently.

Angular Ribbon tabs and groups


Simplified layout

The Angular Ribbon offers a simplified mode that organizes items and groups into a single row for improved usability and reduced clutter. End users can quickly navigate to other commonly used items in the overflow menu and switch to normal mode using built-in toggle button.

Angular Ribbon simplified layout


Built-in Ribbon items

Several built-in support items, such as buttons, checkboxes, dropdown buttons, split buttons, combo boxes, and more can be customized and used to execute specific actions. Three size modes: large, medium, and small, are supported.

Angular Ribbon button item

Button items

Use different sized buttons to showcase content and icons in a visually appealing and interactive manner.

Angular Ribbon checkbox item

Checkbox items

Enables users to toggle between checked and unchecked states, caption the checkbox and position the label either before or after the checkbox.

Angular Ribbon dropdown button item

The dropdown button item functions like a regular button, but includes a dropdown menu that displays menu items.

Angular Ribbon split button item

Split button items

The split button item combines the functionality of a button with a dropdown menu, allowing users to perform a default action and access additional options.

Angular Ribbon combobox item

Combobox items

The combobox item combines a drop-down list with an editable textbox, enabling users to select from predefined pop-up list options.

Angular Ribbon colorpicker item

Colorpicker item

The color picker ribbon item enables users to select colors from a palette or define custom colors.


Angular Ribbon gallery

In addition to the existing built-in items, gallery items allow users to perform specific actions by displaying a collection of related items, including icons, content, or images.


Custom ribbon items

The Angular Ribbon supports templates to customize the ribbon items with any non-built-in items or HTML content.

Angular Ribbon custom item


Angular Ribbon contextual tab

Contextual tabs

The contextual tab allows users to display ribbon tabs on demand based on their needs. Similar to the normal ribbon tabs, it supports adding all built-in and custom ribbon items to execute specific actions.


Help pane

The help pane template, positioned at the right side of the Ribbon, enables users to access help content typically for actions such as managing document permissions, sharing functions, and more.

Angular Ribbon help pane


Angular Ribbon keytips

KeyTips

KeyTips enable users to quickly access the tabs or ribbon items using defined unique key tips (up to 3 characters). To display, press Alt + Windows/Command keys, and close or traverse back by pressing the Esc key.


Tooltips

The Angular Ribbon control supports tooltips to display information when hovering over items, offering users additional details, enhancing user experience.

Angular Ribbon tooltips


File menu

Supports a built-in menu that allows you to add file-related actions easily.

Angular Ribbon file menu


Backstage view

In addition to the traditional file menu, the backstage view displays information such as application settings, user information, etc. The backstage options are displayed on the left, while the content of each option is shown on the right.

Angular Ribbon backstage


Auto resize

The Ribbon efficiently manages space by expanding or collapsing groups, with larger groups collapsing first during resizing. Users can customize the order of groups according to their needs for a personalized Ribbon.

Angular Ribbon auto resize


Built-in themes

The Angular Ribbon supports these built-in themes: Tailwind CSS, Bootstrap 5, Bootstrap 4, Bootstrap, Material, Fabric, Fluent, and high contrast. Users can customize one of these built-in themes or create new themes to achieve their desired look and feel by simply overriding SASS variables or using the Theme Studio application.


Accessibility

  • Fully supports WAI-ARIA accessibility practices to work with screen readers and assistive devices.
  • Follows WAI-ARIA best practices for implementing keyboard interaction.
  • Follows WCAG 2.0 standards in design of the UI visual elements such as foreground color, background color, line spacing, text, and images.
  • Supports right-to-left (RTL) text direction for users working with RTL languages like Hebrew, Arabic, or Persian.

Angular Ribbon code example

Easily get started with the Angular Ribbon using a few simple lines of HTML and TS code example as demonstrated below. Also, explore our Angular Ribbon example that shows you how to render and configure the Angular Ribbon.

<div class="control-section">
    <ejs-ribbon id="ribbon" [fileMenu]='fileSettings'>
      <e-ribbon-tabs>
        <e-ribbon-tab header="Home">
          <e-ribbon-groups>
            <e-ribbon-group header="Clipboard" orientation="Column">
              <e-ribbon-collections>
                <e-ribbon-collection id= "paste-collection">
                  <e-ribbon-items>
                    <e-ribbon-item type="SplitButton" id="pastebtn" [allowedSizes]='largeSize' [splitButtonSettings]="pasteSettings">
                    </e-ribbon-item>
                  </e-ribbon-items>
                </e-ribbon-collection>
                <e-ribbon-collection id= "cutcopy-collection">
                  <e-ribbon-items>
                    <e-ribbon-item type="Button" [buttonSettings]="cutButton">
                    </e-ribbon-item>
                    <e-ribbon-item type="Button" [buttonSettings]="copyButton">
                    </e-ribbon-item>
                  </e-ribbon-items>
                </e-ribbon-collection>
              </e-ribbon-collections>
            </e-ribbon-group>
          </e-ribbon-groups>
        </e-ribbon-tab>
        <e-ribbon-tab header="Insert">
          <e-ribbon-groups>
            <e-ribbon-group header="Tables">
              <e-ribbon-collections>
                <e-ribbon-collection>
                  <e-ribbon-items>
                    <e-ribbon-item type="DropDown" [dropDownSettings]="tableSettings">
                    </e-ribbon-item>
                  </e-ribbon-items>
                </e-ribbon-collection>
              </e-ribbon-collections>
            </e-ribbon-group>
          </e-ribbon-groups>
        </e-ribbon-tab>
      </e-ribbon-tabs>
    </ejs-ribbon>
</div>
import { Component } from '@angular/core';
import { FileMenuSettingsModel, RibbonButtonSettingsModel, RibbonSplitButtonSettingsModel, RibbonDropDownSettingsModel, RibbonItemSize } from '@syncfusion/ej2-ribbon';
import { MenuItemModel } from "@syncfusion/ej2-navigations";

@Component({
selector: 'app-root',
templateUrl: 'app.component.html'
})

export class AppComponent {
    
    public pasteSettings: RibbonSplitButtonSettingsModel = { iconCss: 'e-icons e-paste', items: [{ text: "Keep Source Format" }, { text: "Merge format" }, { text: "Keep text only" }], content: 'Paste' };

    public cutButton: RibbonButtonSettingsModel = { iconCss: "e-icons e-cut", content: "Cut" };
    public copyButton: RibbonButtonSettingsModel = { iconCss: "e-icons e-copy", content: "Copy" };

    public tableSettings: RibbonDropDownSettingsModel = { iconCss: "e-icons e-table", content: "Table", items: [{ text: "Insert Table" }, { text: "This device" }, { text: "Convert Table" }, { text: "Excel SpreadSheet" }] };

    public menuItems: MenuItemModel[] = [
        { text: "New", iconCss: "e-icons e-file-new", id: "new" },
        { text: "Open", iconCss: "e-icons e-folder-open", id: "Open" },
        { text: "Save as", iconCss: "e-icons e-save", id: "save" }
    ];
    public fileSettings: FileMenuSettingsModel = {
        menuItems: this.menuItems,
        visible: true
    };

    public largeSize: RibbonItemSize = RibbonItemSize.Large;
}

90+ ANGULAR UI COMPONENTS

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The Vue Ribbon component provides a structured and easy-to-use user interface for users to access different features and functions using a series of tabs, improving user experience and efficiency.

Vue Ribbon component


Tabs and groups

Provides a structured way to organize and group related functions, improving user experience by enabling quick access to specific features within categorized sections. Each group contains a launcher button that reveals additional functions, allowing users to explore and utilize more tools efficiently.

Vue Ribbon tabs and groups


Simplified layout

The Vue Ribbon offers a simplified mode that organizes items and groups into a single row for improved usability and reduced clutter. End users can quickly navigate to other commonly used items in the overflow menu and switch to normal mode using built-in toggle button.

Vue Ribbon simplified layout


Built-in Ribbon items

Several built-in support items, such as buttons, checkboxes, dropdown buttons, split buttons, combo boxes, and more can be customized and used to execute specific actions. Three size modes: large, medium, and small, are supported.

Vue Ribbon button item

Button items

Use different sized buttons to showcase content and icons in a visually appealing and interactive manner.

Vue Ribbon checkbox item

Checkbox items

Enables users to toggle between checked and unchecked states, caption the checkbox and position the label either before or after the checkbox.

Vue Ribbon dropdown button item

The dropdown button item functions like a regular button, but includes a dropdown menu that displays menu items.

Vue Ribbon split button item

Split button items

The split button item combines the functionality of a button with a dropdown menu, allowing users to perform a default action and access additional options.

Vue Ribbon combobox item

Combobox items

The combobox item combines a drop-down list with an editable textbox, enabling users to select from predefined pop-up list options.

Vue Ribbon colorpicker item

Colorpicker item

The color picker ribbon item enables users to select colors from a palette or define custom colors.


Vue Ribbon gallery

In addition to the existing built-in items, gallery items allow users to perform specific actions by displaying a collection of related items, including icons, content, or images.


Custom ribbon items

The Vue Ribbon supports templates to customize the ribbon items with any non-built-in items or HTML content.

Vue Ribbon custom item


Vue Ribbon contextual tab

Contextual tabs

The contextual tab allows users to display ribbon tabs on demand based on their needs. Similar to the normal ribbon tabs, it supports adding all built-in and custom ribbon items to execute specific actions.


Help pane

The help pane template, positioned at the right side of the Ribbon, enables users to access help content typically for actions such as managing document permissions, sharing functions, and more.

Vue Ribbon help pane


Vue Ribbon keytips

KeyTips

KeyTips enable users to quickly access the tabs or ribbon items using defined unique key tips (up to 3 characters). To display, press Alt + Windows/Command keys, and close or traverse back by pressing the Esc key.


Tooltips

The Vue Ribbon component supports tooltips to display information when hovering over items, offering users additional details, enhancing user experience.

Vue Ribbon tooltips


File menu

Supports a built-in menu that allows you to add file-related actions easily.

Vue Ribbon file menu


Backstage view

In addition to the traditional file menu, the backstage view displays information such as application settings, user information, etc. The backstage options are displayed on the left, while the content of each option is shown on the right.

Vue Ribbon backstage


Auto resize

The Ribbon efficiently manages space by expanding or collapsing groups, with larger groups collapsing first during resizing. Users can customize the order of groups according to their needs for a personalized Ribbon.

Vue Ribbon auto resize


Built-in themes

The Vue Ribbon supports these built-in themes: Tailwind CSS, Bootstrap 5, Bootstrap 4, Bootstrap, Material, Fabric, Fluent, and high contrast. Users can customize one of these built-in themes or create new themes to achieve their desired look and feel by simply overriding SASS variables or using the Theme Studio application.


Accessibility

  • Fully supports WAI-ARIA accessibility practices to work with screen readers and assistive devices.
  • Follows WAI-ARIA best practices for implementing keyboard interaction.
  • Follows WCAG 2.0 standards in design of the UI visual elements such as foreground color, background color, line spacing, text, and images.
  • Supports right-to-left (RTL) text direction for users working with RTL languages like Hebrew, Arabic, or Persian.

Vue Ribbon code example

Easily get started with the Vue Rating using a few simple lines of Vue example as demonstrated below. Also, explore our Vue Ribbon example that shows you how to render and configure the Vue Ribbon.

<template>
    <ejs-ribbon id="ribbon" :fileMenu="fileSettings">
        <e-ribbon-tabs>
            <e-ribbon-tab header="Home">
                <e-ribbon-groups>
                    <e-ribbon-group header="Clipboard" orientation="Column" >
                    <e-ribbon-collections>
                        <e-ribbon-collection id= "paste-collection">
                            <e-ribbon-items>
                                <e-ribbon-item type="SplitButton" id="pastebtn" :allowedSizes="largeSize" :splitButtonSettings="pasteSettings" >
                                </e-ribbon-item>
                            </e-ribbon-items>
                        </e-ribbon-collection>
                        <e-ribbon-collection>
                            <e-ribbon-items>
                                <e-ribbon-item type="Button" :buttonSettings="cutButton">
                                </e-ribbon-item>
                                <e-ribbon-item type="Button" :buttonSettings="copyButton">
                                </e-ribbon-item>
                            </e-ribbon-items>
                        </e-ribbon-collection>
                    </e-ribbon-collections>
                    </e-ribbon-group>
                </e-ribbon-groups>
            </e-ribbon-tab>
            <e-ribbon-tab header="Insert">
                <e-ribbon-groups>
                    <e-ribbon-group header="Tables" >
                    <e-ribbon-collections>
                        <e-ribbon-collection>
                            <e-ribbon-items>
                                <e-ribbon-item type="DropDown" :dropDownSettings= "tableSettings">
                                </e-ribbon-item>
                            </e-ribbon-items>
                        </e-ribbon-collection>
                    </e-ribbon-collections>
                    </e-ribbon-group>
                </e-ribbon-groups>
            </e-ribbon-tab>
        </e-ribbon-tabs>
    </ejs-ribbon>
</template>

<script>
import Vue from 'vue';
import { RibbonFileMenu, RibbonItemSize, RibbonPlugin } from "@syncfusion/ej2-vue-ribbon";

Vue.use(RibbonPlugin);

export default { 
    provide: {
    ribbon: [RibbonFileMenu]
    },
    data: function () {
        return {
            largeSize: RibbonItemSize.Large,
            fileSettings: {
                visible: true,
                menuItems: [
                { text: "New", iconCss: "e-icons e-file-new", id: "new" },
                { text: "Open", iconCss: "e-icons e-folder-open", id: "Open" },
                { text: "Save as", iconCss: "e-icons e-save", id: "save" }]
            },
            pasteSettings:{ 
                iconCss: 'e-icons e-paste', content: 'Paste',
                items: [{ text: "Keep Source Format" }, { text: "Merge format" }, { text: "Keep text only" }]
            },
            tableSettings:{ 
                iconCss: 'e-icons e-table', content: 'Table',
                items: [{ text: 'Insert Table' }, { text: 'Draw Table' }, { text: 'Convert Table' }, { text: 'Excel SpreadSheet' }]
            },
            cutButton:  { iconCss: "e-icons e-cut", content: "Cut" },
            copyButton:  { iconCss: "e-icons e-copy", content: "Copy" }
        };
    }
}
</script>

90+ VUE UI COMPONENTS

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The React Ribbon component provides a structured and easy-to-use user interface for users to access different features and functions using a series of tabs, improving user experience and efficiency.

React Ribbon component


Tabs and groups

Provides a structured way to organize and group related functions, improving user experience by enabling quick access to specific features within categorized sections. Each group contains a launcher button that reveals additional functions, allowing users to explore and utilize more tools efficiently.

React Ribbon tabs and groups


Simplified layout

The React Ribbon offers a simplified mode that organizes items and groups into a single row for improved usability and reduced clutter. End users can quickly navigate to other commonly used items in the overflow menu and switch to normal mode using built-in toggle button.

React Ribbon simplified layout


Built-in Ribbon items

Several built-in support items, such as buttons, checkboxes, dropdown buttons, split buttons, combo boxes, and more can be customized and used to execute specific actions. Three size modes: large, medium, and small, are supported.

React Ribbon button item

Button items

Use different sized buttons to showcase content and icons in a visually appealing and interactive manner.

React Ribbon checkbox item

Checkbox items

Enables users to toggle between checked and unchecked states, caption the checkbox and position the label either before or after the checkbox.

React Ribbon dropdown button item

The dropdown button item functions like a regular button, but includes a dropdown menu that displays menu items.

React Ribbon split button item

Split button items

The split button item combines the functionality of a button with a dropdown menu, allowing users to perform a default action and access additional options.

React Ribbon combobox item

Combobox items

The combobox item combines a drop-down list with an editable textbox, enabling users to select from predefined pop-up list options.

React Ribbon colorpicker item

Colorpicker item

The color picker ribbon item enables users to select colors from a palette or define custom colors.


React Ribbon gallery

In addition to the existing built-in items, gallery items allow users to perform specific actions by displaying a collection of related items, including icons, content, or images.


Custom ribbon items

The React Ribbon supports templates to customize the ribbon items with any non-built-in items or HTML content.

React Ribbon custom item


React Ribbon contextual tab

Contextual tabs

The contextual tab allows users to display ribbon tabs on demand based on their needs. Similar to the normal ribbon tabs, it supports adding all built-in and custom ribbon items to execute specific actions.


Help pane

The help pane template, positioned at the right side of the Ribbon, enables users to access help content typically for actions such as managing document permissions, sharing functions, and more.

React Ribbon help pane


React Ribbon keytips

KeyTips

KeyTips enable users to quickly access the tabs or ribbon items using defined unique key tips (up to 3 characters). To display, press Alt + Windows/Command keys, and close or traverse back by pressing the Esc key.


Tooltips

The React Ribbon component supports tooltips to display information when hovering over items, offering users additional details, enhancing user experience.

React Ribbon tooltips


File menu

Supports a built-in menu that allows you to add file-related actions easily.

React Ribbon file menu


Backstage view

In addition to the traditional file menu, the backstage view displays information such as application settings, user information, etc. The backstage options are displayed on the left, while the content of each option is shown on the right.

React Ribbon backstage


Auto resize

The Ribbon efficiently manages space by expanding or collapsing groups, with larger groups collapsing first during resizing. Users can customize the order of groups according to their needs for a personalized Ribbon.

React Ribbon auto resize


Built-in themes

The React Ribbon supports these built-in themes: Tailwind CSS, Bootstrap 5, Bootstrap 4, Bootstrap, Material, Fabric, Fluent, and high contrast. Users can customize one of these built-in themes or create new themes to achieve their desired look and feel by simply overriding SASS variables or using the Theme Studio application.


Accessibility

  • Fully supports WAI-ARIA accessibility practices to work with screen readers and assistive devices.
  • Follows WAI-ARIA best practices for implementing keyboard interaction.
  • Follows WCAG 2.0 standards in design of the UI visual elements such as foreground color, background color, line spacing, text, and images.
  • Supports right-to-left (RTL) text direction for users working with RTL languages like Hebrew, Arabic, or Persian.

React Ribbon code example

Easily get started with the React Rating using a few simple lines of TSX example as demonstrated below. Also, explore our React Ribbon example that shows you how to render and configure the React Ribbon.

import * as React from 'react';
import { RibbonComponent, RibbonTabsDirective, RibbonTabDirective, RibbonCollectionsDirective, RibbonCollectionDirective, RibbonGroupsDirective, RibbonGroupDirective } from '@syncfusion/ej2-react-ribbon';
import { RibbonFileMenu, RibbonItemsDirective, RibbonItemDirective, RibbonItemSize, Inject } from '@syncfusion/ej2-react-ribbon';
import { ItemModel } from '@syncfusion/ej2-react-splitbuttons';
import { MenuItemModel } from '@syncfusion/ej2-react-navigations';
import './App.css';

export default class App extends React.Component {

    public pasteOptions: ItemModel[] = [{ text: "Keep Source Format" }, { text: "Merge format" }, { text: "Keep text only" }];
    public tableOptions: ItemModel[] = [{ text: "Insert Table" }, { text: "This device" }, { text: "Convert Table" }, { text: "Excel SpreadSheet" }];

    public menuItems: MenuItemModel[] = [
        { text: "New", iconCss: "e-icons e-file-new", id: "new" },
        { text: "Open", iconCss: "e-icons e-folder-open", id: "Open" },
        { text: "Save as", iconCss: "e-icons e-save", id: "save" }
    ];

    render() {
        return (
            <div id="control-section">
                <RibbonComponent id='ribbon' fileMenu=>
                    <RibbonTabsDirective>
                        <RibbonTabDirective header='Home'>
                            <RibbonGroupsDirective>
                                <RibbonGroupDirective header="Clipboard" orientation="Column">
                                    <RibbonCollectionsDirective>
                                        <RibbonCollectionDirective id= "paste-collection">
                                            <RibbonItemsDirective>
                                                <RibbonItemDirective type="SplitButton" id="pastebtn" allowedSizes={RibbonItemSize.Large}
                                                    splitButtonSettings=>
                                                </RibbonItemDirective>
                                            </RibbonItemsDirective>
                                        </RibbonCollectionDirective>
                                        <RibbonCollectionDirective id= "cutcopy-collection">
                                            <RibbonItemsDirective>
                                                <RibbonItemDirective type="Button" buttonSettings=>
                                                </RibbonItemDirective>
                                                <RibbonItemDirective type="Button" buttonSettings=>
                                                </RibbonItemDirective>
                                            </RibbonItemsDirective>
                                        </RibbonCollectionDirective>
                                    </RibbonCollectionsDirective>
                                </RibbonGroupDirective>
                            </RibbonGroupsDirective>
                        </RibbonTabDirective>
                        <RibbonTabDirective header='Insert'>
                            <RibbonGroupsDirective>
                                <RibbonGroupDirective header="Tables">
                                    <RibbonCollectionsDirective>
                                        <RibbonCollectionDirective>
                                            <RibbonItemsDirective>
                                                <RibbonItemDirective type="DropDown" dropDownSettings=>
                                                </RibbonItemDirective>
                                            </RibbonItemsDirective>
                                        </RibbonCollectionDirective>
                                    </RibbonCollectionsDirective>
                                </RibbonGroupDirective>
                            </RibbonGroupsDirective>
                        </RibbonTabDirective>
                    </RibbonTabsDirective>
                    <Inject services={[RibbonFileMenu]} />
                </RibbonComponent>
            </div>
        );
    }
}

90+ REACT UI COMPONENTS

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon